summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/transactions/0022rule_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/transactions/0022rule_1')
-rwxr-xr-xtests/shell/testcases/transactions/0022rule_15
1 files changed, 2 insertions, 3 deletions
diff --git a/tests/shell/testcases/transactions/0022rule_1 b/tests/shell/testcases/transactions/0022rule_1
index 0e7c9a6f..07be53f2 100755
--- a/tests/shell/testcases/transactions/0022rule_1
+++ b/tests/shell/testcases/transactions/0022rule_1
@@ -1,12 +1,11 @@
#!/bin/bash
-set -e
-
RULESET="add table x
add chain x y
delete chain x y
add rule x y jump y"
# kernel must return ENOENT
-$NFT -f - <<< "$RULESET" 2>/dev/null
+$NFT -f - <<< "$RULESET" 2>/dev/null || exit 0
echo "E: allowing jump loop to unexisting chain"
+exit 1